Bug Hunting Session
Bug 94934 - Crash when changing line style of trendline
Summary: Crash when changing line style of trendline
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks: Chart-Sidebar
  Show dependency treegraph
 
Reported: 2015-10-10 12:41 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-10-10 12:41:00 UTC
Steps:
1) Open Writer
2) Inset Chart
3) Select data series column 1
4) Check 'show trendline' in data series content panel of sidebar
5) Select trendline
6) Change line style from 'none' to 'continuous'
7) Crash

Version: 5.1.0.0.alpha1+
Build ID: f0e3fe840b6f103c589f044bbde18b2faa345279
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-10-09_06:51:31
Locale: en-US (en_US.UTF-8)
Comment 1 Commit Notification 2015-10-10 13:26:07 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=14237c1678167da725fee079532c4669264d697f

use trendline context for trendlines, tdf#94931, tdf#94934

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.